﻿@import url('open.iconic/font/css/open-iconic-bootstrap.min.css');

@font-face {
    font-family: 'nfuelsfont';
    src: url('/fonts/geogtqmd-webfont.eot');
    src: url('/fonts/geogtqmd-webfont.eot?#iefix') format('embedded-opentype'),url('/fonts/geogtqmd-webfont.woff') format('woff'),url('/fonts/geogtqmd-webfont.ttf') format('truetype'),url('/fonts/geogtqmd-webfont.svg#geogrotesquemedium') format('svg');
    font-weight: normal;
    font-style: normal;
}

* {
    font-family: Helvetica, Arial, sans-serif;
    font-size: medium;
    font-weight: normal;
}

.DataGrid {
    font-family: Helvetica, Arial, sans-serif;
    font-size: x-small;
    font-weight: normal;
}

/*html, body {
    font-family: Helvetica, Arial, sans-serif;
}
*/
html, body {
    font-family:nfuelsfont;
    height: 100%;
    overflow: hidden;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

#blazor-error-ui .dismiss {
    cursor: pointer;
    position: absolute;
    right: 0.75rem;
    top: 0.5rem;
}

.title {
    /*border: thin dashed #800080;*/
    color: #06c;
    width: 100%;
    height: 100%;
    font-weight: normal;
    font-family: nfuelsfont;
    font-size: 24px !important;
}

.subtitle1 {
    color: #06c;
    width: 100%;
    height: 100%;
    font-weight: normal;
    font-family: nfuelsfont;
    font-size: 20px !important;
    border-radius: 8px;
    background-color: lightblue;
    padding: 5px;
}

div .resizeable {
    border: 2px solid;
    padding: 20px;
    width: 100%;
    resize: both;
    overflow: auto;
    border: 1px solid red;
}

.simplediv {
    margin: 10px;
}

div .simplediv {
    margin: 10px;
}

#map a img {
    display: none;
}

@keyframes example {
    from {
        background-color: red;
    }

    to {
        background-color: yellow;
    }
}

.NeutralsFont {
    font-family: "nfuelsfont", serif
}

.PopupWindow {
    box-shadow: 3px 3px 5px #888888;
}

.PopupTitle {
    font-family: nfuelsfont;
    font-weight: bold;
    font-size: 32px;
    color: forestgreen;
}

.PopupHeader {
    font-family: "nfuelsfont";
    background-color: gainsboro;    
    border-bottom: 1px ridge lightgrey;
}

.SensorPopup {
    font-family: nfuelsfont;
    height: calc(100vh - 3.5rem);
    color: dimgray;    
}
    .SensorPopup > .modal-content {
        min-width: 500px;
        min-height: 400px;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
    }

.LocationPopup {
    height: calc(100vh - 3.5rem);
    border-radius: 10px;
}

    .LocationPopup > .modal-content {
        min-width: 500px;
        min-height: 400px;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);        
    }


.StorePopup {
    font-family: nfuelsfont;
    height: calc(100vh - 3.5rem);
    color: dimgray;
}

    .StorePopup > .modal-content {
        min-width: 500px;
        min-height: 400px;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
    }

.CollectionRequestPopup {
    font-family: nfuelsfont;
    height: calc(100vh - 3.5rem);
    color: dimgray;
}

    .CollectionRequestPopup > .modal-content {
        min-width: 500px;
        min-height: 400px;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
    }

.separator {
    overflow: hidden;
    background-color: currentColor;
    opacity: 0.2;
    height: 1px;
}